Bug 496006 - Audio for Intel 82801I (ICH9) does not work
Audio for Intel 82801I (ICH9) does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 18:51 EDT by Dietmar Kling
Modified: 2010-06-28 07:51 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of Audio Setup (20.94 KB, image/gif)
2009-04-15 18:58 EDT, Dietmar Kling
no flags Details
lscpi output (35.96 KB, text/plain)
2009-04-15 19:04 EDT, Dietmar Kling
no flags Details
Alsa output (37.92 KB, text/plain)
2009-04-15 19:49 EDT, Dietmar Kling
no flags Details
Screenshot of Pavuctrl (92.22 KB, image/png)
2009-04-16 04:26 EDT, Dietmar Kling
no flags Details
Running paplay (27.68 KB, image/png)
2009-04-16 04:41 EDT, Dietmar Kling
no flags Details
My Alsa Infoo (37.94 KB, text/plain)
2009-04-21 15:48 EDT, Dietmar Kling
no flags Details
alsa-info.txt (22.67 KB, text/plain)
2009-07-04 16:12 EDT, kkuehl
no flags Details

  None (edit)
Description Dietmar Kling 2009-04-15 18:51:22 EDT
Description of problem:

No sound is coming out of my Fedora 11 Beta Installation (used to work on Fedora 10 - although this was not a _64 installation)

In the new sound configuration only "Internal Audio" shows up. But
as alsa correcly reports the hardware has two outputs (see below)
and i used the digital one. I have tried various thing to at least get 
some sound from aplay on the command line, however i am not a alsa expert and the new config confuses me totally (all those redirection , dunno).

See below for various error messages.


How reproducible:
just try to create any sound ... :-( 
aplay, xmms (i used this because this pretty raw interface usually works
when everything else fails), amarok, paplay...


Steps to Reproduce:
1. play  -D plughw:0,1 /usr/share/evolution/2.26/sounds/default_alarm.wav

  
Actual results:
No Sound

Expected results:
Something..

Additional info:

# aplay -l

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

IMPORTANT  message in /var/log/messages:

Apr 16 00:05:58 baldur pulseaudio[3889]: module-alsa-card.c: Failed to find a working profile.
Apr 16 00:05:58 baldur pulseaudio[3889]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=2 name=pci_14f1_8811_sound_card_0 card_name=alsa_card
.pci_14f1_8811_sound_card_0 tsched=1"): initialization failed.
Apr 16 00:05:58 baldur pulseaudio[3889]: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18,00 dB to 18,00 dB which makes no sense.


Data
# lspci 
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

# cat /proc/version
Linux version 2.6.29.1-70.fc11.x86_64 (mockbuild@x86-7.fedora.phx.redhat.com) (gcc version 4.4.0 20090409 (Red Hat 4.4.0-0.32) (GCC) ) #1 SMP Mon Apr 13 14:16:25 EDT 2009

# dmesg |grep -i intel|grep -i HDA
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
HDA Intel 0000:00:1b.0: setting latency timer to 64
Comment 1 Dietmar Kling 2009-04-15 18:58:30 EDT
Created attachment 339759 [details]
Screen shot of Audio Setup

This is in german, but it shows the output , which should not only show "Internal" but an "Digital" output too, as i would assume
Comment 2 Dietmar Kling 2009-04-15 19:04:28 EDT
Created attachment 339760 [details]
lscpi output

Maybe - just an assumption - it is an interaction of the three available audio device 
1. usb  webcam
2. dvb card
3. hda ?


therefore i provide complete 
# lscpi -vv 
output.
Comment 3 Dietmar Kling 2009-04-15 19:49:38 EDT
Created attachment 339765 [details]
Alsa output


Created with latest version of alsa-info.sh:
           ALSA Information Script v 0.4.56


http://www.alsa-project.org/db/?f=d98725e0906edb1f79b89114a2a7bd8a0c1fd145
Comment 4 Lennart Poettering 2009-04-15 19:52:53 EDT
Please install 'pavucontrol'. Then, run it and go to the 'Configuration' tab and switch to the digital output for your card.

Unfortuntely in F11 gnome-volume-control cannot do this profile switching yet.
Comment 5 Dietmar Kling 2009-04-16 04:26:43 EDT
Created attachment 339811 [details]
Screenshot of Pavuctrl

I tried the third and fourth option (Output Digital Stero), still no sound :-(
(Rebooting into Windows Vista - things works perfectly there)

But the message in /var/log/messages has changed a little bit:

Apr 16 10:21:14 baldur pulseaudio[5842]: module-alsa-card.c: Failed to find a working profile.
Apr 16 10:21:14 baldur pulseaudio[5842]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=2 name=pci_14f1_8811_sound_card_0 card_name=alsa_card.pci_14f1_8811_sound_card_0 tsched=1"): initialization failed.
Apr 16 10:21:14 baldur kernel: ALSA sound/usb/usbaudio.c:1303: 3:3:3: cannot get freq at ep 0x86
Apr 16 10:21:15 baldur pulseaudio[5842]: alsa-sink.c: Unable to set switch: Die Operation ist nicht erlaubt
Comment 6 Dietmar Kling 2009-04-16 04:31:50 EDT
Well tried option 6 too, (Output Digital Stereo).

# paplay /usr/share/evolution/2.26/sounds/default_alarm.wav

---> Still no sound.

Now i only get 
Apr 16 10:21:15 baldur pulseaudio[5842]: alsa-sink.c: Unable to set switch: Die Operation ist nicht erlaubt
Apr 16 10:28:27 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 1,00 ms
Apr 16 10:28:31 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 2,00 ms
Apr 16 10:28:34 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 4,00 ms
Apr 16 10:28:34 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 8,00 ms
Apr 16 10:28:36 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 16,00 ms
Apr 16 10:28:39 baldur pulseaudio[5842]: alsa-sink.c: Increasing minimal latency to 26,00 ms
Apr 16 10:28:39 baldur pulseaudio[5842]: alsa-sink.c: Increasing wakeup watermark to 15,99 ms
Comment 7 Dietmar Kling 2009-04-16 04:41:18 EDT
Created attachment 339814 [details]
Running paplay

What i recognized, is that the sound runs through pulseaudio somehow.
At leas i seen in the Playbacktab, that the sound is coming in.

Though this doesn't break the silence....
Comment 8 Dietmar Kling 2009-04-16 08:45:24 EDT
Finally figured it out - but before i come to my findings (pavuctrl doesn't help at all!)  it is a real pain to configure sound on my current board in every fedora release (user since redhat 1). And if it takes an experienced user such a long time - a newbie  is lost soon for sure.   Please don't take always such an high level approach like now. This unified sound GUI  ... It doesn't help if you don't go to the root of the problem - in my opinion ALSA needs to be replaced or at least a framework needs to be created which guarantees a consistent experience for the end user. If some alsa user want to tweak everything - fine. But i guess 95% of users don't want to, so i don't see the point of this configuration fiddling dictatorship of them.


At least it works with the alsa plugin in xmms. 
I twisted the configuration with 
# alsamix
(See for configuration below)



and finally figured out that had to set the IEC958 Playback Source
to PCM.  After that sound appeared under a running xmms.




Alsamixer Config.
[AlsaMixer v1.0.19 (Press Escape to quit)]
│ Card: HDA Intel
│ Chip: Analog Devices AD1988B
│ View:  Playback  Capture [All]
│ Item: IEC958 Playback Source [PCM]
│
Comment 9 Mary Ellen Foster 2009-04-17 16:10:32 EDT
I'm also seeing this, and the instructions on the last comment don't apply to my card -- all I have that looks relevant is "IEC958" which can be either on or off, that's it. Nothing I tried in pavucontrol made a difference either. All my computer does is make popping noises out of the speaker occasionally.

Here's my hardware (based on lspci):
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
Comment 10 Lennart Poettering 2009-04-17 17:50:29 EDT
Seems like a default mixer initialization issue. "IEC958 Playback Source" should default to "PCM" I guess.

Reassigning to alsa-utils.
Comment 11 Mary Ellen Foster 2009-04-17 18:12:52 EDT
I couldn't find an "IEC958 Playback Source" in my mixer (with alsamixer -c0)
Comment 12 louisgtwo 2009-04-17 23:42:46 EDT
With the old gnome-volume-control I was able to PCM. I believe alsa gets confused with the built in webcam. In f11 how can I make this change?
Comment 13 Dietmar Kling 2009-04-18 11:07:14 EDT
(In reply to comment #11)
> I couldn't find an "IEC958 Playback Source" in my mixer (with alsamixer -c0)  

you should give more information ,
(if you install alsa-utils),  you can use
aplay -l 

to show which "cards" are known to alsa
Comment 14 Mary Ellen Foster 2009-04-18 11:15:01 EDT
Here's the output of aplay -l:
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI [INTEL HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

If I run alsamixer -c0, I see a device called "IEC958" but all it has is an on/off toggle, not a source selector
Comment 15 Dietmar Kling 2009-04-18 11:50:08 EDT
My pragmatic method (since fedora 1 .. :-) ).

1) Just get a mp3 file
2) install xmms and xmms-mp3 (e.g. from rpmfusion).
3) configure as output plugin the alsa plugin in xmms
4) play mp3 (with repeat on) 
   If it doesn't break here and actually shows playing it, then a first step is
   done.

5) just get up alsamxier and choose the same card as in xmms.

6) now you can fiddle around with the config opions  in the mixer while
   xmms plays (this took me quite some time  as i had 25 options to fiddle with).
   In all my setups i had in the last years, changes where applied immediatly
   to the alsa module ---> so after some time, you will hear the mp3 hopefully :-)
Comment 16 Mary Ellen Foster 2009-04-20 05:43:49 EDT
Aha!! On my card, turns out I had to mute the mixer labelled "Analog Loopback 1" and now sound works.

The card describes itself in alsamixer as
     Card: HDA Intel
     Chip: Intel G45 DEVCTG
and in lspci as
    00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
Comment 17 Jaroslav Kysela 2009-04-21 10:43:33 EDT
The IEC958 Playback Source should be set to PCM by default in driver (the patch is dated 2007/07/24). Please, could you attach output from 'alsa-info.sh --no-upload' without initial mixer settings (remove /etc/asound.state and comment out alsactl related lines in /etc/init.d/halt to prevent storing of sound configuration on shutdown).

The Analog Loopback controls are removed from current driver to avoid confusion by users.

I am sorry, but we work with many hardware variants of HDA hardware.
Comment 18 Dietmar Kling 2009-04-21 15:48:03 EDT
Created attachment 340618 [details]
My Alsa Infoo

I have done what you have said. Removed the .state file and commented out the saving of the state in halt. But sound did work at once after reboot this time.

I had just a soft reboot, so i guess the "correct" register settings
survived the boot. When i did boot into Fedora the first time sound
didn't work at all and the alsamixer settings were different, they
are now just the same as before.


So i don't know if this really helps. I had the same effect on my previous machine, where i used to boot into windows xp and then magically the alsa
settings were right after a reboot.
Comment 19 Bug Zapper 2009-06-09 09:53:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Chris Shoemaker 2009-06-09 11:58:35 EDT
I have this hardware, too, although a different chip: IDT 92HD71B7X
It seems all the requested info has been provided, but if I can provide anything else useful, please ask.
Comment 21 Simon Berger 2009-06-12 07:56:52 EDT
I had a similar experience on a slight variation of the harware (dell latitude e4300), aplay -l output:

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI [INTEL HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


It turned out that some other obscure mixer setting prevented the sound from being played. In 'alsamixer -c 0' I had to mute (key m) both the 'Anlog L' (Analog Loopback, whaterver that is) settings. Found that out by randomly changing the mixer settings. I strongly advice the alsa guys to set the hardware to more sensible defaults.
Comment 22 kkuehl 2009-07-04 16:12:21 EDT
Created attachment 350513 [details]
alsa-info.txt

I have tried various suggestions made in this bugzilla report as well as others. Still no sound. Sound worked fine in FC10. Let me know if I can provide more information.
Comment 23 Eduardo 2009-07-23 22:48:21 EDT
:s no sound in fedora 11 :( God!!!! I'll cry... I can't listen music :s
Comment 24 Kieran Clancy 2009-07-24 07:37:43 EDT
I have this issue on a HP Compaq Pressario CQ61-115TU with:
00:1f.6 Signal processing controller: Intel Corporation 82801I (ICH9 Family) Thermal Subsystem (rev 03)

card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]

With the default setup, the inbuilt speakers do not work, but headphones do work. I added "options snd-hda-intel model=hp-m4" to a new file /etc/modprobe.d/snd-hda-intel.conf and was surprised (after trying many other models which didn't work) that it made my internal speakers work perfectly.

For those with this problem, please try a few different models in a /etc/modprobe.d file, restarting in-between attempts.

Here's a list of models:
http://git.alsa-project.org/?p=alsa-kmirror.git;a=blob;f=Documentation/HD-Audio-Models.txt;h=a1895d7f3cf7d99651a556f61933cfac8dc45bf0;hb=HEAD
Comment 25 Mikko Huhtala 2009-08-12 10:08:46 EDT
I have an Asus P5K motherboard with Intel P35 chipset. Sound worked without problems in F10, but in F11 and current rawhide I only get sound to work from the jacks on the motherboard (back panel), not the jacks in the front of the case. 

kernel-PAE-2.6.31-0.125.rc5.git2.fc12.i686
pulseaudio-0.9.16-5.test4.fc12.i686

lspci:

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

The backpanel jacks work when the 'Output Devices' 'Port' in pavucontrol is 'Analog Output'. If I change that to 'Analog Headphones', neither the front nor the back jacks work.
Comment 26 Mikko Huhtala 2009-09-02 15:09:40 EDT
Happy to report that the jacks in the front of the case now do work with the current rawhide. Not sure at which point this was fixed exactly. I have

kernel-PAE-2.6.31-0.190.rc8.fc12.i686
pulseaudio-0.9.16-11.test6.fc12.i686

This bug might be a duplicate of #490081.
Comment 27 Bug Zapper 2010-04-27 09:41:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Bug Zapper 2010-06-28 07:51:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.